Subject: Re: [PATCH] net/hyperv: Advertise hv_netvsc instead of netvsc as driver name

From: Greg KH <[email-masked]>
Date: Thu, 8 Mar 2012 10:45:45 -0800

On Thu, Mar 08, 2012 at 07:38:20PM +0100, Olaf Hering wrote:
> On Thu, Mar 08, Greg KH wrote:
> 
> > On Thu, Mar 08, 2012 at 05:12:21PM +0100, Olaf Hering wrote:
> > > On Thu, Mar 08, Greg KH wrote:
> > > 
> > > > > hwinfo uses it to recognize a network interface (storage in case of
> > > > > hv_storvsc).
> > > > 
> > > > That tool should report the real module name, not rely on the name to
> > > > match based on the structure, if you really care about the real module
> > > > name.
> > > 
> > > Its about the driver symlink, not the module name. 
> > > 
> > > I think most, if not all, (relevant) drivers use some sort of
> > > KBUILD_MODNAME. Why should this driver be any different?
> > 
> > It shouldn't, I'm not saying that at all.  I'm only objecting to the
> > insistance that this be something worthwhile for 3.3-final which should
> > be out any day now.
> 
> Since its an API we could settle on the new string, which is already in
> distro use.

I don't really understand, but in the end, it's not up to me, it's up to
the network maintainer when he wants to merge this to Linus.  If it were
up to me, I would wait for 3.4.

good luck,

greg k-h